## erlang 18.3-dfsg

=== debian/changelog ===
erlang (1:18.3-dfsg-1ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap overflow in PCRE
    - debian/patches/CVE-2016-10253.patch: add mutual recursion detection
      to erts/emulator/pcre/pcre_compile.c.
    - CVE-2016-10253
  * SECURITY UPDATE: Adaptive Chosen Ciphertext attack in TLS server
    - debian/patches/CVE-2017-1000385.patch: add countermeasurements for
      Bleichenbacher attack in lib/ssl/src/ssl_connection.erl,
      lib/ssl/src/ssl_connection.hrl, lib/ssl/src/tls_connection.erl.
    - CVE-2017-1000385

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Dec 2017 08:07:14 -0500

erlang (1:18.3-dfsg-1ubuntu3) xenial; urgency=medium

  * Drop erlang-wx from the Recommends: of erlang-examples, so that this
    still stays out of main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Apr 2016 01:40:49 -0700

erlang (1:18.3-dfsg-1ubuntu2) xenial; urgency=medium

  * Restore erlang-wx now that main is allowed to build-depend on universe.
    LP: #1563182.
  * Restore build dependency on fop.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Apr 2016 01:30:41 +0000

erlang (1:18.3-dfsg-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - d/control: Drop BD on fop to support demotion to universe.

 -- James Page <james.page@ubuntu.com>  Tue, 22 Mar 2016 12:25:14 +0000

erlang (1:18.3-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch which fixed FTBFS for GNU/kFreeBSD and GNU/Hurd introduced
    in 1:18.2-dfsg-2 because the bug is fixed upstream.
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Mar 2016 21:22:08 +0300

erlang (1:18.2-dfsg-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - d/control: Drop BD on fop to support demotion to universe.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jan 2016 15:44:38 +0200

erlang (1:18.2-dfsg-2) unstable; urgency=medium

  * Fixed FTBFS for GNU/kFreeBSD and GNU/Hurd due to incorrectly checked
    presence of gethostname_r() function.
  * Fixed FTBFS for X32 architecture due to incorrectly used inline assembly.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 Dec 2015 12:40:53 +0300

erlang (1:18.2-dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 20 Dec 2015 21:11:53 +0300

erlang (1:18.1-dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Nov 2015 10:33:50 +0300

erlang (1:18.0-dfsg-2) unstable; urgency=medium

  * Added a patch from Chris Lamb which allows Erlang compiler to put
    a specified timestamp into the compiled binaries instead of the
    current time. This helps with reproducibility of Erlang binaries
    (closes: #795834).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 17 Aug 2015 15:14:59 +0300

erlang (1:18.0-dfsg-1ubuntu2) xenial; urgency=medium

  * d/control: Drop BD on fop to support demotion to universe.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2016 13:56:48 +0000
