=== debian/changelog ===
erlang (1:18.3.4.4+dfsg-1ubuntu2) yakkety; urgency=medium

  * Drop delta for adding +debug_info; according to the Debian changelog
    this was added elsewhere long ago, so the patch should no longer be
    needed (and is certainly not used in Ubuntu).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2016 15:49:31 -0700

erlang (1:18.3.4.4+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2016 15:30:48 -0700

erlang (1:18.3.4.4+dfsg-1) unstable; urgency=medium

  * New upstream minor release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2016 11:22:08 +0300

erlang (1:18.3.4.2+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Jul 2016 15:57:29 +0200

erlang (1:18.3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream minor release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Jul 2016 11:57:21 +0300

erlang (1:18.3.4.1+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
  * Dropped changes, included in Debian:
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jun 2016 09:34:56 -0700

erlang (1:18.3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream minor release.
  * Enabled HiPE for the ppc64 and ppc64el architectures (closes: #827447).
  * Bumped Java bytecode compatibility level to 1.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 29 Jun 2016 10:35:57 +0300

erlang (1:18.3.4+dfsg-1ubuntu2) yakkety; urgency=medium

  * Drop d/patches/fix-pointer-conversion.patch, per Debian maintainer it's
    no longer required.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jun 2016 19:29:09 -0700

erlang (1:18.3.4+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
  * Dropped changes, no longer needed:
    - d/p/bytecode-compat.patch: Specify a lower level of bytecode
      compatibility when compiling Java source code.
  * debian/rules: bump the minimum compat level from 1.5 to 1.8 (openjdk8),
    which is the lowest version we can expect anyone to care about
    post-xenial.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Jun 2016 10:50:49 +0300

erlang (1:18.3.4+dfsg-1) unstable; urgency=medium

  * New upstream minor release (closes: #827363).
  * Switched to Github for downloading the code because the minor updates
    haven't been released as tarballs on erlang.org.
  * Added libxml2-utils to the build dependencies because of xmllint (it
    is required for building docs).
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Jun 2016 15:19:45 +0300
