=== debian/rules ===
--- 
+++ 
@@ -71,18 +71,16 @@
 CFLAGS=-g -O2 -fno-strict-aliasing
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=debug
-ERL_COMPILE_FLAGS="+debug_info"
 else
 CFLAGS=-g -O2 -fno-strict-aliasing
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=
-ERL_COMPILE_FLAGS=""
 endif
 
 # Enable IPv6 support in epmd
 CPPFLAGS=-DEPMD6
 
-JAVA_OPTIONS=-source 1.5 -target 1.5
+JAVA_OPTIONS=-source 1.8 -target 1.8
 
 JOBS=4
 
@@ -108,6 +106,7 @@
 	for i in `find ${ROOT_DIR} -name 'config.sub~'` ; do \
 	    mv $$i $${i%%\~} ; \
 	done
+	rm -f lib/configure.in
 	#
 	# Remove files, which were generated from templates
 	for i in debian/*.in debian/scripts/*.in ; do \
@@ -168,11 +167,8 @@
 	done
 	#
 	# Regenerate configure scripts using autoconf
-	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
-				    -a -name 'configure.in' -printf "%h\n"`; do \
-	    echo "autoconf'ing $${i}"; \
-	    (cd $${i} && autoconf) \
-	done
+	./otp_build autoconf
+	#
 	touch automake-stamp
 
 configure-hipe: configure-hipe-stamp
@@ -184,7 +180,6 @@
 	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
 	rm -f lib/dialyzer/SKIP
 	#
-	ERL_COMPILE_FLAGS="$(ERL_COMPILE_FLAGS)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
@@ -217,7 +212,6 @@
 	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
 	rm -f lib/dialyzer/SKIP
 	#
-	ERL_COMPILE_FLAGS="$(ERL_COMPILE_FLAGS)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
@@ -259,3 +253,11 @@
 	# Correct ERL_ROOT in RELEASES file
 	sed 's!%ERL_ROOT%!/usr/lib/erlang!' \
 	    $(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES.src \
+	    >$(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES
+
+	# Get rid of windows cruft
+	find $(INSTALL_DIR) -name *.bat -exec rm -v {} \;
+
+	# Fix permissions
+	cp $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
+	   $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl
