## erlang 19.2+dfsg

=== debian/changelog ===
erlang (1:19.2+dfsg-1ubuntu0ppa1~wily) wily; urgency=medium

  * Rebuild for ubuntu.
  * Enable dirty schedulers.

 -- Jakub Kudzia <jakub.kudzia@outlook.com>  Wed, 28 Dec 2016 12:22:50 +0000

erlang (1:19.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Removed the patch which fixed HiPE build with PIE enabled by default in
    the GCC C compiler, because it's been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2016 23:32:53 +0300

erlang (1:19.1.6+dfsg-2) unstable; urgency=medium

  * Use the solution from upstream to build HiPE if GCC enables PIE by default.
    The previous one breaks erlang-wx (closes: #844593).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Nov 2016 12:45:43 +0300

erlang (1:19.1.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Nov 2016 08:26:20 +0300

erlang (1:19.1.5+dfsg-2) unstable; urgency=medium

  * Temporarily switched to libssl1.0-dev until porting to OpensSSL 1.1 is
    complete.
  * Added -fno-pie -no-pie GCC flags to make sure the HiPE build works
    (closes: #842998).
  * Enabled verbose build logs to make them more useful in debugging.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Nov 2016 09:07:18 +0300

erlang (1:19.1.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Oct 2016 07:45:04 +0300

erlang (1:19.1.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Oct 2016 09:50:31 +0300

erlang (1:19.1.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Removed dangled symlink (closes: #839854).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Oct 2016 13:33:30 +0300

erlang (1:19.1.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Sep 2016 23:17:19 +0300

erlang (1:19.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Refined patches which fix function prototype in beamload.c and help
    with FTBFS on x32.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Sep 2016 15:02:56 +0300

erlang (1:19.0.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Sep 2016 16:27:48 +0300

erlang (1:19.0.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Sep 2016 11:02:02 +0300

erlang (1:19.0.5+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Sep 2016 09:49:08 +0300

erlang (1:19.0.5+dfsg-2) experimental; urgency=medium

  * Dropped the erlang-test-server binary package since the corresponding
    application has been removed from the upstream distribution.
  * Adjusted the binary packages interdependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 03 Sep 2016 11:47:54 +0300

erlang (1:19.0.5+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Aug 2016 09:30:31 +0300

erlang (1:19.0.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Dropped the erlang-webtool binary package since the corresponding
    application has been removed from the upstream distribution.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2016 10:52:09 +0300

erlang (1:19.0.2+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Jul 2016 15:57:00 +0300

erlang (1:19.0.1+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Disabled HiPE for the sparc64 architecture because it causes FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 30 Jun 2016 16:36:21 +0300

erlang (1:19.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Enabled HiPE for the ppc64, ppc64el, and sparc64 architectures.
  * Bumped Java bytecode compatibility level to 1.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 29 Jun 2016 10:59:29 +0300

erlang (1:19.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Jun 2016 15:31:10 +0300
