=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 -include ${ROOT_DIR}/lib/jinterface/vsn.mk
 -include ${ROOT_DIR}/lib/ic/vsn.mk
 -include ${ROOT_DIR}/lib/tools/vsn.mk
--include ${ROOT_DIR}/lib/webtool/vsn.mk
 -include ${ROOT_DIR}/lib/common_test/vsn.mk
 -include ${ROOT_DIR}/lib/snmp/vsn.mk
 -include ${ROOT_DIR}/lib/hipe/vsn.mk
@@ -68,11 +67,13 @@
 LIBSCTPDEP=$(shell grep-status -s Version -PX $(LIBSCTP) | sed -e's!^Version: \(.*\)-[^-]*!$(LIBSCTP) (>= \1)!')
 
 ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),debug)
-CFLAGS=-g -O2 -fno-strict-aliasing
+CFLAGS=-g -O2 -fno-strict-aliasing -fno-pie
+LDFLAGS=-fno-pie
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=debug
 else
-CFLAGS=-g -O2 -fno-strict-aliasing
+CFLAGS=-g -O2 -fno-strict-aliasing -fno-pie
+LDFLAGS=-fno-pie
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=
 endif
@@ -80,7 +81,7 @@
 # Enable IPv6 support in epmd
 CPPFLAGS=-DEPMD6
 
-JAVA_OPTIONS=-source 1.8 -target 1.8
+JAVA_OPTIONS=-Xlint -source 1.7 -target 1.7
 
 JOBS=4
 
@@ -182,6 +183,7 @@
 	#
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -199,7 +201,9 @@
 		    --with-ssl-rpath=no \
 		    --enable-ethread-pre-pentium4-compatibility \
 		    --enable-shared-zlib \
-		    --without-ssl-zlib
+		    --without-ssl-zlib \
+		    --disable-silent-rules \
+		    --enable-dirty-schedulers
 	#
 	touch configure-hipe-stamp
 
@@ -214,6 +218,7 @@
 	#
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -231,7 +236,9 @@
 		    --with-ssl-rpath=no \
 		    --enable-ethread-pre-pentium4-compatibility \
 		    --enable-shared-zlib \
-		    --without-ssl-zlib
+		    --without-ssl-zlib \
+		    --disable-silent-rules \
+		    --enable-dirty-schedulers
 	#
 	touch configure-stnd-stamp
 
@@ -256,8 +263,3 @@
 	    >$(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES
 
 	# Get rid of windows cruft
-	find $(INSTALL_DIR) -name *.bat -exec rm -v {} \;
-
-	# Fix permissions
-	cp $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
-	   $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl
